Last Comment Bug 645461 - Crash when restoring previous session after closing all tab groups in panorama view
: Crash when restoring previous session after closing all tab groups in panoram...
Status: RESOLVED FIXED
: testcase
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P2 critical
: Firefox 6
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on: 650573
Blocks: 653099
  Show dependency treegraph
 
Reported: 2011-03-27 01:17 PDT by Alexander Chavez
Modified: 2016-04-12 14:00 PDT (History)
9 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Stack Trace from WinDbg 32-bit (22.52 KB, text/plain)
2011-03-27 08:40 PDT, Alexander Chavez
no flags Details

Description Alexander Chavez 2011-03-27 01:17:06 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.0; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0
Build Identifier: Mozilla/5.0 (Windows NT 6.0; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0

When opening up Firefox 4 with about:home as the standard default home location and the "Restore Previous Session" is available. Instead of clicking it and going straight into panorama view and closing all the tab groups and exiting panorama view, a blank new tab appears. When clicking the home button to load up the about:home location and then choosing "Restore Previous Session", Firefox 4 crashes without notification to the user.

Reproducible: Always

Steps to Reproduce:
1. have about:home as the default home location
2. click the home button to load the about:home location
3. exit firefox
4. Open up firefox
5. Go to Panorama view
6. Close tab group using the x icon
7. exit panorama view
8. a blank new tab appears
9. click the home button in the toolbar to load about:home
10. choose "restore previous session" on the home page
11. firefox 4 crashes and closes without warning
Actual Results:  
the browser exited without notification to the user or crash notification.

Expected Results:  
the previous session, if available is restored, in this case, the about:home page would be loaded since it was what appeared in the tab we had open when we last exited the browser

I havent investigated further about any vulnerabilities this could cause due to this crash such as possible security breach or running remote code etc.
Comment 2 Alexander Chavez 2011-03-27 07:37:15 PDT
bp-d153a99d-c40e-477f-8449-f07412110327
Comment 3 Alexander Chavez 2011-03-27 07:54:32 PDT
(In reply to comment #2)
> bp-d153a99d-c40e-477f-8449-f07412110327

Disregard this trace for this issue, this trace is not for 645461. It is not creating a stack trace nor is the crash reporter appearing.

I am attempting to get a trace using an alternative method.
Comment 4 Alexander Chavez 2011-03-27 08:40:17 PDT
Created attachment 522220 [details]
Stack Trace from WinDbg 32-bit
Comment 5 Srinivas 2011-03-29 02:06:03 PDT
Confirmed on Mozilla/5.0 (Windows NT 6.1; rv:2.2a1pre) Gecko/20110328 Firefox/4.2a1pre
After step 10, Firefox crashes without any warning.
Comment 6 Ed Morley [:emorley] 2011-03-29 09:00:39 PDT
Marking new per comment 5.
Comment 7 Tim Taubert [:ttaubert] 2011-04-24 17:09:42 PDT
Confirming with given STR. Will be fixed by bug 650573.
Comment 8 Tim Taubert [:ttaubert] 2011-04-24 17:11:34 PDT
The browser does _not_ crash. Firefox gets accidentally closed with the last tab.
Comment 9 George Carstoiu 2011-06-21 06:45:16 PDT
Mozilla/5.0 (X11; Linux i686; rv:7.0a1) Gecko/20110620 Firefox/7.0a1

I followed the steps to reproduce from Comment 0, but the 'Restore previous session' didn't come up so it was impossible for me to verify this issue.

Note You need to log in before you can comment on or make changes to this bug.